Bug 120004 - Installer hangs after trying to load via vt6410 raid RH9 driver disk(module viamraid.o)
Installer hangs after trying to load via vt6410 raid RH9 driver disk(module v...
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-04-04 22:15 EDT by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-05 18:26:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-04-04 22:15:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7b)
Gecko/20040318 Firefox/0.8.0+ (scragz)

Description of problem:
Installer hangs after reading driver disk for the VIA VT6410 Linux
raid driver. I am using the precompiled redhat 9 driver disk which
works and allows me to install RH9 on my raid setup, which is two
120GB western digital P-ATA(not sata) hard drives in a raid 0
configuration partitioned into a 200 GB ntfs partition for windows xp
and a 40 GB partition for linux.

After it hangs (with no grey ncurses windows showing) I switch to VT3
and it reads something like 'not new version driver disk found, trying
old version' then 'module(s) viamraid.o not found'

I can try installing fedora 2 test 2 again (I have the 4 cd set burned
from iso's on BT)

I briefly had fedora 1 installed on my system, as a partition on a
40GB western digital on the regular ide, but that drive
failed(clicking) so I went for the 120s which were on sale for $60 a
pop, otherwise nothing has changed on the system. 

I don't know if it's possible to use the RH 9 driver disk, but I can't
find out because if I try it, it doesn't get where it can tell me.

BTW I have tried the 'noprobe' argument at the boot prompt

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot up FC2t2 disk 1
2. enter 'linux dd' or 'linux expert'
3. Select english(US)
4. When it asks for any driver disks, put the driver disk in fd0 and
press yes
5. Select fd0 for where the disk is (other options for me are hda(dvd)
and hdb(cdrw))
6. Pops up "Reading driver disk" then disappears and hangs
7. I've let it sit for ahout 7-10 minutes at a time and no progress.

Actual Results:  Crashes with blue setup screen, no grey windows and
"fedora core" in upper left, options at the bottom. No response except
to Fn keys(f1, f3, etc) which go to log outputs, ctrl-alt-del twice
brings up "sending termination signal...done" message and unmounts
drives and reboots.

Expected Results:  Either installed the raid driver and allow me to
install FC2t2, or deny installation of driver module (because of
incompatibility, etc)

Additional info:

Asus p4p800 deluxe mobo
512mb ddr-400
standard 1.44 floppy
generic dvd drive
samsung 52x cdrw (installing off this drive)
nvidia geforce 3
p4 3ghz processor
2 120GB WD HD P-ATA in raid0 configuration

Workstation use, mostly software development + programming for
embedded linux systems.

Not critical, not many people run this raid config and I'm good for
the next few weeks before I have to have linux up, and then if it
doesn't work I'll just get another 120GB on the standard ide
Comment 1 Jeremy Katz 2004-04-05 18:26:52 EDT
A driver disk for Red Hat Linux 9 has zero chance of working with FC2
(which uses a 2.6 instead of a 2.4 kernel)

Note You need to log in before you can comment on or make changes to this bug.